/**
 * 系统图数据接口
 *
 * @author
 */
// 大小
interface Size {
    Width: number;
    Height: number;
}
// 信息点信息
interface Info {
    Code: string; // 对应设备的信息点
    Name: string; //信息点名称
    X: number;
    Y: number;
    Width: number;
    Height: number;
    FontSize: number;
    Background: string;
    TextAlign: string;
    Color: string;
}
// 图标状态信息
interface StatusImage {
    Status: string; // 运行
    ImageKey: string;
}
export interface EquipmentData {
    ID: string;
    Name: string; // 名称
    AttachObjectIds: string[]; // 返回工程信息化对象 ID 列表
    Pos: {
        // 位置
        X: number;
        Y: number;
    };
    Size: Size; // 大小
    InfoList: Info[];
    Properties: {
        StatusImage: StatusImage[];
    };
} // Interface ElementData
