import { SParser } from "@saga-web/big/lib";
import { SEquipmentItem } from "../items/SEquipmentItem";
import { EquipmentData } from "../types/EquipmentData";

/**
 * 设备信息解析器
 */
export class SEquipmentParser extends SParser {
    /** 设备list   */
    equipmentItem: SEquipmentItem[] = [];
    /**
     * 解析数据
     *
     * @param   data    设备数据
     * */
    parseData(data: EquipmentData[]): void {
        if (data) {
            data.map((t: EquipmentData): void => {
                let eqItem = new SEquipmentItem(null, t);
                this.equipmentItem.push(eqItem);
            });
        }
    } // Function parseData()

    // private addEquipment(): void {} // Function addEquipment()
} // class SEquipmentParser
